﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace Sample.Data.BusinessObjects
{
    public class MyVirtualMachine
    {
        [Required]
        public string VirtualMachineId
        {
            get;
            set;
        }
        [Required]
        public int DeveloperId
        {
            get;
            set;
        }
        [StringLength(100, MinimumLength=10)]
        public string OperatingSystem
        {
            get;
            set;
        }
        [Range(100, 8000)]
        public long? DelegatedSpace
        {
            get;
            set;
        }
        public DateTime? ExpirationDate
        {
            get;
            set;
        }

        public MyVirtualMachine()
        {
        }
    }
}